# Avalanche

{% hint style="info" %}
There are three chains working in Avalanche. This page list the supported EVM API of C-Chain. More APIs will be supported in the future.
{% endhint %}

### Eth

* [eth\_chainId](/build/api-reference/avalanche/eth_chainid.md)
* [eth\_syncing](/build/api-reference/avalanche/eth_syncing.md)
* [eth\_getBlockByNumber](/build/api-reference/avalanche/eth_getblockbynumber.md)
* [eth\_getBlockByHash](/build/api-reference/avalanche/eth_getblockbyhash.md)
* [eth\_blockNumber](/build/api-reference/avalanche/eth_blocknumber.md)
* [eth\_gasPrice](/build/api-reference/avalanche/eth_gasprice.md)
* [eth\_getBalance](/build/api-reference/avalanche/eth_getbalance.md)
* [eth\_sendRawTransaction](/build/api-reference/avalanche/eth_sendrawtransaction.md)
* [eth\_getTransactionByHash](/build/api-reference/avalanche/eth_gettransactionbyhash.md)
* [eth\_getTransactionByBlockHashAndIndex](/build/api-reference/avalanche/eth_gettransactionbyblockhashandindex.md)
* [eth\_getTransactionByBlockNumberAndIndex](/build/api-reference/avalanche/eth_gettransactionbyblocknumberandindex.md)
* [eth\_getTransactionReceipt](/build/api-reference/avalanche/eth_gettransactionreceipt.md)
* [eth\_getTransactionCount](/build/api-reference/avalanche/eth_gettransactioncount.md)
* [eth\_getBlockTransactionCountByHash](/build/api-reference/avalanche/eth_getblocktransactioncountbyhash.md)
* [eth\_getBlockTransactionCountByNumber](/build/api-reference/avalanche/eth_getblocktransactioncountbynumber.md)
* [eth\_getLogs](/build/api-reference/avalanche/eth_getlogs.md)
* [eth\_getCode](/build/api-reference/avalanche/eth_getcode.md)
* [eth\_call](/build/api-reference/avalanche/eth_call.md)
* [eth\_getStorageAt](/build/api-reference/avalanche/eth_getstorageat.md)
* [eth\_estimateGas](/build/api-reference/avalanche/eth_estimategas.md)
* [eth\_newFilter](/build/api-reference/avalanche/eth_newfilter.md)
* [eth\_newBlockFilter](/build/api-reference/avalanche/eth_newblockfilter.md)
* [eth\_newPendingTransactionFilter](/build/api-reference/avalanche/eth_newpendingtransactionfilter.md)
* [eth\_getFilterChanges](/build/api-reference/avalanche/eth_getfilterchanges.md)
* [eth\_signTransaction](/build/api-reference/avalanche/eth_signtransaction.md)
* [eth\_uninstallFilter](/build/api-reference/avalanche/eth_uninstallfilter.md)
* [eth\_subscribe](/build/api-reference/avalanche/eth_subscribe.md)
* [eth\_unsubscribe](/build/api-reference/avalanche/eth_unsubscribe.md)

### Net <a href="#eth_unsubscribe" id="eth_unsubscribe"></a>

* [net\_version](/build/api-reference/avalanche/net_version.md)
* [net\_listening](/build/api-reference/avalanche/net_listening.md)
* [net\_peerCount](/build/api-reference/avalanche/net_peercount.md)

### Web3 <a href="#net_version" id="net_version"></a>

* [web3\_clientVersion](/build/api-reference/avalanche/web3_clientversion.md)
* [web3\_sha3](/build/api-reference/avalanche/web3_sha3.md)

### Debug

* [debug\_traceCall](/build/api-reference/avalanche/debug_tracecall.md)
* [debug\_traceBlockByNumber](/build/api-reference/avalanche/debug_traceblockbynumber.md)
* [debug\_traceBlockByHash](/build/api-reference/avalanche/debug_traceblockbyhash.md)
* [debug\_traceTransaction](/build/api-reference/avalanche/debug_tracetransaction.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blockpi.io/build/api-reference/avalanche.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
